Attribute VB_Name = "m_Window"
'' Property Editor Active-X Control
''
'' Version 1.0
''
''
'' m_Window.bas - Window Handler Procedure for simple controls

'' Copyright (C) 2000 The Southern Cross.
'' All Rights Reserved.

'' Unauthorized Commercial Use Strictly Prohibited.
''
Option Explicit

Public Function WndHandleProc(ByVal hWnd As Long, ByVal uMsg As Long, ByVal wParam As Long, ByVal lParam As Long) As Long
    On Error Resume Next
    
    Dim vCtl As Object, _
        lProc As Long

    Dim vEdit As EditWnd, _
        vList As ListWnd

    lProc = GetOldProc(hWnd)
    
    If lProc = 0 Then
        WndHandleProc = DefWindowProc(hWnd, uMsg, wParam, lParam)
    Else
    
        WndHandleProc = CallWindowProc(lProc, hWnd, uMsg, wParam, lParam)
    
        Set vCtl = GetControl(hWnd)
    
        If Not (vCtl Is Nothing) Then
                                         
            If TypeOf vCtl Is EditWnd Then
                Set vEdit = vCtl
                vEdit.FireEvent uMsg, wParam, lParam
            
            ElseIf TypeOf vCtl Is ListWnd Then
                Set vList = vCtl
                vList.FireEvent uMsg, wParam, lParam
                
            End If
            
        End If
        
    End If
        
End Function

