VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "EnumsType"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
'' Property Editor Active-X Control
''
'' Version 1.0
''
''
'' EnumsType.cls - String Enums for PropertyType Class

'' Copyright (C) 2000 The Southern Cross.
'' All Rights Reserved.

'' Unauthorized Commercial Use Strictly Prohibited.
''
Option Explicit

Private m_Enums() As String
Private m_Count As Long

Public Property Get Count() As Long
    Count = m_Count
End Property


Public Sub Clear()
    Erase m_Enums
    m_Count = 0
End Sub

Public Sub Remove(ByVal Index As Long)
    
    Dim i As Long
    
    For i = Index To (m_Count - 1) - 1
        m_Enums(i) = m_Enums(i + 1)
    Next i
    m_Count = m_Count - 1
    ReDim Preserve m_Enums(0 To (m_Count - 1))
    
End Sub

Public Function Add(ByVal vData As String) As Long
    ReDim Preserve m_Enums(0 To m_Count)
    
    m_Enums(m_Count) = vData
    m_Count = m_Count + 1
    Add = m_Count
    
End Function

Public Property Get Item(ByVal Index As Long) As String
    Item = m_Enums(Index)
End Property

Public Property Get Strings() As String()
    Strings = m_Enums
End Property

Public Property Get Value(ByVal Index As Long) As Long
    Value = Val(m_Enums(Index))
End Property
